diff --git a/runtime/BrowserWindow.cpp b/runtime/BrowserWindow.cpp
index 3d9ba34..6b2ae3f 100644
--- a/runtime/BrowserWindow.cpp
+++ b/runtime/BrowserWindow.cpp
@@ -231,6 +231,12 @@ void BrowserWindow::closetabs()
     QPushButton *btn = NULL;
     int totalTabs = m_tabWidget->count();
 
+    // If QTabWidget contains only one tab then hide the TabBar window
+    if ((totalTabs - 1) < 2)
+	m_tabWidget->tabBar()->setVisible(false);
+    else
+	m_tabWidget->tabBar()->setVisible(true);
+
     QObject *senderPtr = QObject::sender();
     if (senderPtr != NULL)
     {
@@ -399,6 +405,7 @@ void BrowserWindow::urlLinkClicked(const QUrl &name)
 
         m_addNewGridLayout->addWidget(m_addNewWebView, 0, 0, 1, 1);
         m_tabWidget->addTab(m_addNewTab, QString());
+        m_tabWidget->tabBar()->setVisible(true);
         m_tabWidget->setCurrentIndex((m_tabWidget->count() - 1));
 
         // Set the back and forward button on tab
diff --git a/runtime/TabWindow.cpp b/runtime/TabWindow.cpp
index 7b554d4..9d02bb7 100644
--- a/runtime/TabWindow.cpp
+++ b/runtime/TabWindow.cpp
@@ -65,7 +65,7 @@ TabWindow::TabWindow(QWidget *parent) :
 #endif
 
     // Hide the default tab
-    tabBar()->setAutoHide(true);
+    tabBar()->setVisible(false);
 }
 
 // Hide the close button of given index displayed on right side of tab
